<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace loyalsoft;

/**
 * Description of Ins_Achieve
 *
 * @author c'y'zhao
 */
class Ins_Achieve extends Object_ext{   
    
    public $typeId = 0;
    
    /**
     * 当前进度条的最大值
     * @var type
     */
    public $max = 0;

    /**
     * 累计值
     * @var type
     */
    public $val = 0;

    /**
     * 领取奖励记录
     * @var type
     */
    public $received = 0;
    
    /**
     * 类型
     * @var type
     */
    public $cmd = 0;
    
    public function __construct($args = null) {
        if ($args != null) {
           parent::__construct($args); 
        } 
    }
    
    public function getAchieveMo() {
        return GameConfig::achieve_new_getItem($this->typeId);
    }
}
